curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-vinted-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "103792107 or https://www.vinted.de/member/103792107-katieronja"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-vinted-users"
payload = { "user": "103792107 or https://www.vinted.de/member/103792107-katieronja" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: '103792107 or https://www.vinted.de/member/103792107-katieronja'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-vinted-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "vinted_user",
"user": "103792107 or https://www.vinted.de/member/103792107-katieronja",
"user_id": "103792107",
"domain": "vinted.de",
"human": "# Vinted user\n\n- **Domain:** vinted.de\n- **User:** 103792107\n- **Proxy traffic:** 1.86 MB\n- **Login:** katieronja\n- **Profile:** https://www.vinted.de/member/103792107-katieronja\n- **Location:** Berlin, Deutschland\n- **Feedback:** 103 (positive 100, neutral 1, negative 2)\n- **Items:** 12 listed, 120 total",
"machine": {
"user": {
"id": 103792107,
"alias": "katieronja",
"about": "Berlin. Zu viele klamotten. Auch für kinder! HELP \n;)",
"image": "https://images1.vinted.net/tc/01_01b2f_FApHKjdztifK3PmWbn3YztpJ/1660333150.jpeg?s=882f5a64f1263ea2b3a878a57d086ed34cff71a2",
"profile_url": "https://www.vinted.de/member/103792107-katieronja",
"country_code": "DE",
"country_title": "Deutschland",
"city": "Berlin",
"feedback_count": 103,
"feedback_reputation": 0.9800000000000001,
"positive_feedback_count": 100,
"neutral_feedback_count": 1,
"negative_feedback_count": 2,
"item_count": 12,
"total_item_count": 120,
"follower_count": 15,
"following_count": 3,
"following_brand_count": 5,
"given_item_count": 108,
"taken_item_count": 25,
"currency": "EUR",
"locale": "de-DE",
"is_business": false,
"is_online": false,
"is_banned": false,
"last_login_at": 1790746877,
"verification": {
"is_email_verified": true,
"is_facebook_verified": false,
"is_google_verified": true
},
"bundle_discount": null
},
"proxy_traffic_bytes": 1948686
},
"total_points": 5
}Vinted user
Get a Vinted member profile by user id or member URL: location, reputation, feedback and item counts, followers, verification and bundle discounts. Flat 5 points per successful run.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
User ID or profile URL. e.g. 103792107 or https://www.vinted.de/member/103792107-katieronja
Domain. Options: vinted.de = vinted.de, vinted.fr = vinted.fr, vinted.es = vinted.es, vinted.it = vinted.it, vinted.nl = vinted.nl, vinted.pl = vinted.pl, vinted.co.uk = vinted.co.uk
vinted.de, vinted.fr, vinted.es, vinted.it, vinted.nl, vinted.pl, vinted.co.uk Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.